Subject: [VCARDDAV] TEL format

From: <[email-masked]>
Date: Tue, 3 Jun 2008 15:24:48 +0200

Hi,

> I'm trying here to demonstrate what we do need for TEL. I'm, sorry
> this mail is very long and if there is any problem to view its content
> you can find it in the attached word doc.
> 
>  <<TEL format - vCard.doc>> 
> 
> If you only want to read my suggestion for the TEL property, go to
> section 7.4.
> If you want to read the corresponding demonstration (very, very long)
> begin at section 1.
> 
> 1) What do we want to do ?
> 
> We want to describe an equipement which can be defined by :
> 
>       * an equipement type ==> mobile, land-line or both
>  
> 
>       *  a network type ===> cell, PSTN, overIP , isdn
>  
> 
>       * one or several usage types ==> voice, fax, msg, video, pager,
> modem, car, pcs
>  
> 
>       * a location where this equipment is used ===> work, home or
> both
> 
>       * a phone number
>  
> 
> Note : "preference" will be discussed in an other mail
> Note : Phone number format was discussed in previous mails and the
> discussion is still opened.
> 
> 
> 2) What are the main issues with vCard 2.1 or 3.0
> 
> A) Some default values are specified in the actual vCard specification
> 
>     and some others are not :
> 
>      - for the equipment type : "land-line" is one of the default
> values and cannot be described with any value
>      - for the network type : "PSTN" is one of the default values and
> cannot be described with any value 
> 
>      - for the usage type : "voice" is one of the default values and
> can be described with the value "voice"
>      - for the location : "home" is one of the default value and can
> be described with the value "home"
> 
> Note : "land-line", "PSTN" and "home" are not described in the actual
> vCard specification as default values but in reality they are default
> values. For example :
>      - TEL;tel:0101010101     describes a land-line connected to a
> PSTN network at home
>      (you are right : "land-line and PSTN" are not used in the actual
> spec, but let's continue the explanation)
> 
> B) it's possible to describe one equipment in different ways.
> For exemple :
>      - TEL;TYPE=voice,cell:tel:+0101010101
>      - TEL;TYPE=cell:tel:+0101010101
> describe the same phone (as in the second exemple "voice" is the
> default type value)
> 
> 3) how can we resolve this issues ?
> 
> A) let's continue with my exemple which was TEL;tel:+0101010101
> Are there some other ways to describe this equipment ? Yes ! It is :
> TEL;TYPE=home,tel:+0101010101
> 
> So, my first suggestion is :
> 
>      * defaut values for an equipment are : land-line, PSTN, voice,
> home. That is to say : for each type "equipment type, network type,
> usage type, location", if there is no value then the default value is
> applied
>      and if a value is described then the default value is superseded
> by this one except for the usage type where the default value is added
> to the described value (for example : fax means "voice + fax" ==> see
> more explanations on sections 5 and 6 ).
> 
>     * none of the default values can be described in TEL. That is to
> say => values "land-line, PSTN, voice, home" must not exist in the
> vCard 4.0 specification
> 
> So, an equipment can now be defined by : 
> 
>       * an equipement type ==> mobile or both mobile&land-line
> <== "land-line" value removed     (<== no consequence on vCard spec)
>  
> 
>       *  a network type ===> cell, overIP , isdn
> <== "PSTN" value removed        (<== no consequence on vCard spec)
>  
> 
>       * one or several usage types ==>  fax, msg, video, pager, modem,
> car, pcs                                <== "voice" value removed
> <== voice is no longer used in the vCard spec
>  
> 
>       * a location where this equipment is used ===> work or both
> home&work                                   <== "home" value removed
> <== home is no longer used in the vCard spec
> 
>       * a phone number
> 
> Then, are the issues solved ?
> 
> -  The first issue ( A) ) is solved ==> none of the default values can
> be used in TEL.
>           TEL;Tel:0101010101                   is a land-line,
> connected to a PSTN network, voice, home phone
>           TEL;TYPE=mobile, cell :tel=+0202020202 is a mobile,
> connected to a cellular network, voice, home phone ==> see below
> section 4) for more explanations about "mobile" and "cell" used
> together
>           TEL;TYPE=mobile&land-line,overIP:tel:+0303030303 is a
> "mobile"  and "land-line connected over IP", voice, home phone ==> see
> section 7) for more explanations about "is overIP related to mobile or
> land-line or both ?" 
> 
> - The second issue ( B) ) is solved ==> TEL;TYPE=cell:tel=+0404040404
> describes a mobile phone used for voice calls and it's no longer
> possible to use "voice" as this value
> no longer exists.
> 
> 4) what are the new issues ?
> 
> a) let's continue with mobile phones descriptions. According to "my
> first suggestion" above a mobile phone could be described with :
>        * an equipement type ==> mobile 
>  
> 
>       *  a network type ===> cell
>  
> 
>       * one or several usage types ==>  nothing or (fax, msg, video,
> pager, modem, car, pcs)                                nothing means
> "default value" which is "voice"
>  
> 
>       * a location where this equipment is used ===> nothing or work
> or both home&work                                     nothing means
> "default value" which is " home"
> 
>       * a phone number
> 
> That is to say : TEL;TYPE=mobile,cell, ......... .
> It's not realistic to think that people (developpers, ...) will use
> both "mobile" and "cell" in order to discribe a mobile phone, so these
> 2 values must be equal in the vCard spec ==> let's say "cell" for
> both.
> 
> And then my second suggestion is :
>     an equipment can now be defined by :
>            * an equipement type ==> cell or both cell&land-line
> <== the word "mobile"  replaced twice by "cell"
>  
> 
>            *  a network type ===> cell, overIP , isdn
>  
> 
>            * one or several usage types ==>  fax, msg, video, pager,
> modem, car, pcs
>  
> 
>            * a location where this equipment is used ===> work or both
> home&work
> 
>            * a phone number
> 
> b) let's continue with a phone connected on an IP network (ADSL for
> example). 
> According to my last suggestion, it could be described by :
>            * an equipement type ==> cell or both cell&land-line
> 
>  
> 
>            *  a network type ===>  overIP
>  
> 
>            * one or several usage types ==>  ....., modem, .......
>  
> 
>            * a location where this equipment is used ===> work or both
> home&work
> 
>            * a phone number
> 
> That is to say : TEL;TYPE=....., overIP, modem, ........
> It's not realistic to think that people (developpers, ...) will use
> both "overIP" and "modem" in order to describe an IP phone, so these 2
> values must be equal in the vCard spec ==> let's say "overIP" for
> both.
> 
> Note : I'm aware that "overIP" doesn't exist in the actuel vCard Spec
> and that "modem" exists but let's continue the explanation.
> 
> So, my third suggestion is :
>     an equipment can now be defined by :
>            * an equipement type ==> cell or both cell&land-line
> 
>  
> 
>            *  a network type ===> cell, overIP , isdn
>  
> 
>            * one or several usage types ==>  fax, msg, video, pager,
> overIP, car, pcs                       <== the word "modem"  replaced
> by "overIP"
>  
> 
>            * a location where this equipment is used ===> work or both
> home&work
> 
>            * a phone number
> 
> And don't forget that land-line, PSTN, voice, home are default values
> but there is no way to use them in this new TEL definition.
> 
> 5) is it finished ? No ! There are some other problems.
> 
> How can we describe :
>     - a phone which is not a land-line phone (the opposite of the
> default value)
>     - a phone which is not a PSTN phone (the opposite of the default
> value)
>     - a phone which is not a voice phone (the opposite of the default
> value)
>     - a phone which is not an home phone (the opposite of the default
> value)
> 
> The answers are :
>     - a phone which is not a land-line phone (the opposite of the
> default value)         ==> easy, each of the values "cell" or "
> cell&land-line" supersedes the default value "land-line"
>     - a phone which is not a PSTN phone (the opposite of the default
> value)            ==> easy, each of the values "cell" or "overIP" or
> "isdn" supersedes the default value "PSTN"
>     - a phone which is not a voice phone (the opposite of the default
> value)             ==> DIFFICULT, none of the values "fax, msg, video,
> pager, overIP, car, pstn" means NO VOICE
>     - a phone which is not an home phone (the opposite of the default
> value)          ==> easy, each of the values "work" or "home&work"
> supersedes the value "home"
> 
> So for the third answer, we need a value "novoice" and then my forth
> suggestion is :
>    an equipment can now be defined by :
>            * an equipement type ==> cell or both cell&land-line
> 
>  
> 
>            *  a network type ===> cell, overIP , isdn
>  
> 
>            * one or several usage types ==>  fax, msg, video, pager,
> overIP, car, pcs, novoice                       <== "novoice" added
>  
> 
>            * a location where this equipment is used ===> work or both
> home&work
> 
>            * a phone number
> 
> More precisely, it is :
>    an equipment can now be defined by :
>            * an equipement type ==> nothing or cell or cell&land-line
> 
>  
> 
>            *  a network type ===> nothing or cell or OverIP or isdn
>  
> 
>            * one or several usage types ==>  nothing or  {(fax and/or
> msg and/or video and/or pager and/or OverIP and/or car and/or pcs)
> followed by (nothing or novoice) }     <== I hope you'll understand
> "my" syntax
>  
> 
>            * a location where this equipment is used ===> work or both
> home&work
> 
>            * a phone number
> 
> Note that it is not possible to declare " a phone with only 'novoice'
> value" (which means "a phone which can do nothing ")
> 
> 6) Some other issues ? 
> Yes !
> 
> It's still possible to describe :
>          - a phone with both "equipment type = nothing" and "network
> type=cell" which means "a land-line & cell phone" which is the same
> thing as "equipment type=cell&land-line"
>          so there are still several ways to describe a land-line +
> cell phone.
> And
> It's still possible to describe :
>          - a phone with both "equipment type=cell" and "network type =
> cell"
>       or 
>          - a phone with both "network type=overIP" and "usage type =
> overIP"
> 
> So, I suggest to remove one of the two "cell" values and one of the
> two "overIP" values and then my fifth suggestion is :
>    an equipment can now be defined by :
>            * an equipement type ==> nothing or cell or cell&land-line
> 
>  
> 
>            *  a network type ===> nothing  or overIP or isdn
> <== cell value removed
>  
> 
>            * one or several usage types ==>  nothing or  {(fax and/or
> msg and/or video and/or pager and/or  car and/or pcs) followed by
> (nothing or novoice) }                  <== overIP value removed
>  
> 
>            * a location where this equipment is used ===> work or both
> home&work
> 
>            * a phone number
> 
> And I suggest :
> A TEL is defined by four distinct sub-properties (don't forget that
> "pref" will be discussed elsewhere)  :
>      * An equipment type ==> EQU-TYPE
>      * A network type      ==> NET-TYPE
>      * Usages                ==> USAGES
>      * A location type     ==> LOCATION
> Note that for each of these sub-properties the default value or lack
> of value is really meaningfull, it is why we need 4 distinct
> sub-properties.
> 
> Default values :
>     * default value for equipment type is "land-line" but land-line is
> not a possible value for this sub-property
>     * default value for network type is "cell and/or PSTN" but cell
> and PSTN are not possible values for this sub-property. In case of
> default value applied, the value of this attribute is determined by
> the equipment type value.
>     * default value for usage is "voice" but voice is not a possible
> value for this sub-property
>     * default value for location is "home" but home is not a possible
> value for this sub-property
> 
> For EQU-TYPE, NET-TYPE and LOCATION : the default value is superseded
> by any other value.
> For USAGES : the default value (voice) is added to others values
> <===== important
> 
> Possible values for EQU-TYPE (Equipment type) are : nothing or "cell"
> or "cell&land-line"
> Possible values for NET-TYPE (Network type) are : nothing or "overIP"
> or "isdn"
> Possible values for USAGES are : nothing or {("fax" and/or "msg"
> and/or  "video" and/or "pager" and/or "car" and/or "pcs") followed by
> (nothing or "novoice") }
> Possible values for LOCATION are : nothing or work or home&work
> 
> And :
> "voice" and "home" values no longer exist
> "modem" is replaced by "overIP"
> "cell&land-line", "novoice" and "home&work" are new values 
> 
> With this specification, we can easily and non ambiguously describe :
> 
>                        A land-line phone at home ==> my solution is :
> (nothing, nothing, nothing, nothing)
>                        A mobile phone used at  home and at work ==> my
> solution is : (cell, nothing, nothing, home&work)
>                        A phone used at home as an overIP phone and at
> work as a mobile ==> my solution is : (cell&landline, overIP,
> home&work) ==> see section 7 about "is overIP related to cell or to
> land-line ?"
>                        A phone used at work, not used at home, with
> fax and voice usages ==> my solution is : (nothing, nothing, fax,
> work)
>                        A phone used at work, not used at home, with
> fax, without voice usage  ==> my solution is : (nothing, nothing, fax,
> novoice, work)
>                        A phone used at home, not used at work, with
> video and voice usage  ==> my solution is : (nothing, nothing, video,
> nothing)
> 
> Please, try to describe them and tell me if I made a mistake (many
> ways or impossibility to describe some of them)
> 
> 7) Am I happy, now ?
> No
> There are still 3 issues : 
> 
> 7.1 I can describe a "land-line + car phone" or a "PSTN + car phone"
> ==> I suggest to remove the "car" value. And then my very last
> suggestion is :
> 
> 7.2
> I can describe a "cell + isdn phone" ====> ?
> I can describe a "cell + overIP phone" ===> ?
> 
> I can describe a "cell&land-line + overIP phone" ==> the question is :
> 'overIP' is related to cell or to land-line ?
> I can describe a "cell&land-line + isdn phone" ==> the question is :
> 'isdn' is related to cell or to land-line ?
> 
> I suggest to replace the value 'overIP' by "cell and/or overIP" and to
> replace 'isdn' by 'cell and/or isdn'
> 
> So :
>    a (cell, cell and/or overIP, xxx, yyy) phone is a mobile phone
> connected to a cell network
>    a (cell, cell and/or isdn, xxx, yyy) phone is a mobile phone
> connected to a cell network
>    a (cell&land-line, cell and/or overIP, xxx, yyy) phone is a mobile
> phone also used as a land-line phone overIP
>    a (cell&land-line, cell and/or isdn, xxx, yyy) phone is a mobile
> phone also used as a phone connected to an isdn network (if it exists)
> 
> 7.3 
> When, for location,home&work is used, it's not possible to know how
> the home phone is used and how the work phone is used.
> 
> For example, with these descriptions :
> (cell&land-line, xxx, yyy, home&work)
> (cell&land-line, nothing, yyy, home&work) <== here nothing means
> 'PSTN' (default value)
> (cell&land-line, cell and/or overIP, yyy, home&work)
> (cell&land-line, cell and/or isdn, yyy, home&work)
> 
> Is 'cell' related to work or home
> Is 'land-line' related to work or home
> Is PSTN related to work or home
> Is overIP related to work or home
> Is isdn related to work or home
> 
> One solution could be to create the value "work&home", but it is not
> sufficient as may be I would like to describe a phone used as a mobile
> at work and as a mobile&land-line at home.
> And I suggest to let it as it is : a phone can be used at home and at
> work but it is not possible to differentiate the uses.
> 
> 7.4 My very last suggestion is then :
> 
> A TEL is defined by four distinct sub-properties (don't forget that
> "pref" will be discussed elsewhere)  :
>      * An equipment type ==> EQU-TYPE
>      * A network type      ==> NET-TYPE
>      * Usages                ==> USAGES
>      * A location type     ==> LOCATION
> Note that for each of these sub-properties the default value or lack
> of value is really meaningfull, it is why we need 4 distinct
> sub-properties.
> 
> Default values :
>     * default value for equipment type is "land-line" but land-line is
> not a possible value for this sub-property
>     * default value for network type is "cell and/or PSTN" but cell
> and PSTN are not possible values for this sub-property. In case of
> default value applied, the value of this attribute is determined by
> the equipment type value.
>     * default value for usage is "voice" but voice is not a possible
> value for this sub-property
>     * default value for location is "home" but home is not a possible
> value for this sub-property
> 
> For EQU-TYPE, NET-TYPE and LOCATION : the default value is superseded
> by any other value.
> For USAGES : the default value (voice) is added to others values
> <===== important
> 
> Possible values for EQU-TYPE (Equipment type) are : nothing or "cell"
> or "cell&land-line"
> Possible values for NET-TYPE (Network type) are : nothing or "cell
> and/or overIP" or "cell and/or isdn" 
> Possible values for USAGES are : nothing or {("fax" and/or "msg"
> and/or  "video" and/or "pager" and/or "car" and/or "pcs") followed by
> (nothing or "novoice") }
> Possible values for LOCATION are : nothing or work or home&work
> 
> And :
> "voice" and "home" values no longer exist
> "modem" is replaced by "overIP"
> "cell&land-line", "novoice" and "home&work" are new values 
> 
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav

---

From: Simon Perreault <[email-masked]>
Date: Tue, 3 Jun 2008 09:59:06 -0400

> > you can find it in the attached word doc.

I'm seeing a big problem with your proposition.

Why do we want to describe the telephone in the first place? A single reason: 
so that callers may choose which one. e.g.: "He's on the road, I will call 
him on his cell."

vCard needs to convey that information succinctly. Nothing more.

It looks like with your proposal we could caracterize much more than what's 
needed, and it makes it bloated. For example, we don't care if the line is 
VoIP or PSTN, as long as there is a tel: URI pointing to it. There's no need 
for characterizing beyond what's useful for the caller.

Here's a counter-proposition:

1. Strip out location (work, home, etc.), and use group syntax instead.
2. Make pref a parameter of its own so that it is applicable to other 
properties. (e.g. WORK.TEL:PREF:tel:+15555555555)
3. For the TYPE property, have a flat list of types: VOICE, VIDEO, TEXT, FAX, 
CELL, PAGER.
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav

---

From: Lisa Dusseault <[email-masked]>
Date: Tue, 3 Jun 2008 15:15:53 -0700

The kind of features you're thinking of seem to be of more interest in  
SIP usages -- part of call setup.   One of the standards in this area  
-- just one, there are others if this doesn't meet all your  
requirements -- is RFC3841.  SIP experts may be able answer more  
questions about that.

Lisa

On Jun 3, 2008, at 6:24 AM, <[email-masked]> <[email-masked] 
 > wrote:

> If you want to read the corresponding demonstration (very, very  
> long) begin at section 1.
>
>       * one or several usage types ==> voice, fax, msg, video,  
> pager, modem, car, pcs
>
>      - for the network type : "PSTN" is one of the default values  
> and cannot be described with any value
>
> Note : "land-line", "PSTN" and "home" are not described in the  
> actual vCard specification as default values but in reality they are  
> default values. For example :
>
>      (you are right : "land-line and PSTN" are not used in the  
> actual spec, but let's continue the explanation)
>
> usage type, location", if there is no value then the default value  
> is applied
>
>      and if a value is described then the default value is  
> superseded by this one except for the usage type where the default  
> value is added to the described value (for example : fax means  
> "voice + fax" ==> see more explanations on sections 5 and 6 ).
>
>       * an equipement type ==> mobile or both mobile&land- 
> line                                                        <==  
> "land-line" value removed     (<== no consequence on vCard spec)
>
>
>                                                                                 < 
> == "PSTN" value removed        (<== no consequence on vCard spec)
>
>
> modem, car, pcs                                <== "voice" value  
> removed         <== voice is no longer used in the vCard spec
>
>
> home&work                                   <== "home" value  
> removed        <== home is no longer used in the vCard spec
>
>       * a phone number
>
> -  The first issue ( A) ) is solved ==> none of the default values  
> can be used in TEL.
> "mobile"  and "land-line connected over IP", voice, home phone ==>  
> see section 7) for more explanations about "is overIP related to  
> mobile or land-line or both ?"
>
> - The second issue ( B) ) is solved ==> TEL;TYPE=cell:tel= 
> +0404040404 describes a mobile phone used for voice calls and it's  
> no longer possible to use "voice" as this value
>
> no longer exists.
>
> That is to say : TEL;TYPE=mobile,cell, ……… .
> It's not realistic to think that people (developpers, …) will use  
> both "mobile" and "cell" in order to discribe a mobile phone, so  
> these 2 values must be equal in the vCard spec ==> let's say "cell"  
> for both.
>
>            * an equipement type ==> cell or both cell&land- 
> line                                                        <== the  
> word "mobile"  replaced twice by "cell"
>
>
>            * a location where this equipment is used ===> work or  
> both home&work
>
>            * a phone number
>
>            * one or several usage types ==>  ….., modem, …….
>
>            * a location where this equipment is used ===> work or  
> both home&work
>
>            * a phone number
>
> That is to say : TEL;TYPE=….., overIP, modem, ……..
> It's not realistic to think that people (developpers, …) will use  
> both "overIP" and "modem" in order to describe an IP phone, so these  
> 2 values must be equal in the vCard spec ==> let's say "overIP" for  
> both.
>
> Note : I'm aware that "overIP" doesn't exist in the actuel vCard  
> Spec and that "modem" exists but let's continue the explanation.
>
> overIP, car, pcs                       <== the word "modem"   
> replaced by "overIP"
>
>
>            * a location where this equipment is used ===> work or  
> both home&work
>
>            * a phone number
>
> And don't forget that land-line, PSTN, voice, home are default  
> values but there is no way to use them in this new TEL definition.
>
>     - a phone which is not a voice phone (the opposite of the  
> default value)
>     - a phone which is not an home phone (the opposite of the  
> default value)
>
> The answers are :
>     - a phone which is not a voice phone (the opposite of the  
> default value)             ==> DIFFICULT, none of the values "fax,  
> msg, video, pager, overIP, car, pstn" means NO VOICE
>
>     - a phone which is not an home phone (the opposite of the  
> default value)          ==> easy, each of the values "work" or  
> "home&work" supersedes the value "home"
>
>            * a location where this equipment is used ===> work or  
> both home&work
>
>            * a phone number
>
> More precisely, it is :
>            * one or several usage types ==>  nothing or  {(fax and/ 
> or msg and/or video and/or pager and/or OverIP and/or car and/or  
> pcs) followed by (nothing or novoice) }     <== I hope you'll  
> understand "my" syntax
>
>
>            * a location where this equipment is used ===> work or  
> both home&work
>
>            * a phone number
>
> Note that it is not possible to declare " a phone with only  
> 'novoice'  value" (which means "a phone which can do nothing ")
>
> 6) Some other issues ?
> Yes !
>
>          - a phone with both "equipment type=cell" and "network type  
> = cell"
>       or
>                                                                                                                               < 
> == cell value removed
>            * one or several usage types ==>  nothing or  {(fax and/ 
> or msg and/or video and/or pager and/or  car and/or pcs) followed by  
>            * a location where this equipment is used ===> work or  
> both home&work
>
>            * a phone number
>
> And I suggest :
> of value is really meaningfull, it is why we need 4 distinct sub- 
> properties.
>
> Default values :
>     * default value for equipment type is "land-line" but land-line  
> is not a possible value for this sub-property
>     * default value for location is "home" but home is not a  
> possible value for this sub-property
>
> For EQU-TYPE, NET-TYPE and LOCATION : the default value is  
> superseded by any other value.
> For USAGES : the default value (voice) is added to others  
> values                                     <===== important
>
> Possible values for EQU-TYPE (Equipment type) are : nothing or  
> "cell" or "cell&land-line"
> Possible values for NET-TYPE (Network type) are : nothing or  
> "overIP" or "isdn"
> Possible values for USAGES are : nothing or {("fax" and/or "msg" and/ 
> or  "video" and/or "pager" and/or "car" and/or "pcs") followed by  
> (nothing or "novoice") }
>
>                        A land-line phone at home ==> my solution  
> is : (nothing, nothing, nothing, nothing)
>                        A mobile phone used at  home and at work ==>  
> my solution is : (cell, nothing, nothing, home&work)
>
>                        A phone used at home as an overIP phone and  
> at work as a mobile ==> my solution is : (cell&landline, overIP,  
> fax, without voice usage  ==> my solution is : (nothing, nothing,  
> fax, novoice, work)
>
> video and voice usage  ==> my solution is : (nothing, nothing,  
> video, nothing)
>
> I can describe a "cell&land-line + overIP phone" ==> the question  
> is : 'overIP' is related to cell or to land-line ?
> I suggest to replace the value 'overIP' by "cell and/or overIP" and  
> to replace 'isdn' by 'cell and/or isdn'
>
> So :
>    a (cell&land-line, cell and/or overIP, xxx, yyy) phone is a  
> mobile phone also used as a land-line phone overIP
> sufficient as may be I would like to describe a phone used as a  
> mobile at work and as a mobile&land-line at home.
>
> And I suggest to let it as it is : a phone can be used at home and  
> at work but it is not possible to differentiate the uses.
>
> of value is really meaningfull, it is why we need 4 distinct sub- 
> properties.
>
> Default values :
>     * default value for equipment type is "land-line" but land-line  
> is not a possible value for this sub-property
>     * default value for location is "home" but home is not a  
> possible value for this sub-property
>
> For EQU-TYPE, NET-TYPE and LOCATION : the default value is  
> superseded by any other value.
> For USAGES : the default value (voice) is added to others  
> values                                     <===== important
>
> Possible values for EQU-TYPE (Equipment type) are : nothing or  
> "cell" or "cell&land-line"
> Possible values for USAGES are : nothing or {("fax" and/or "msg" and/ 
> or  "video" and/or "pager" and/or "car" and/or "pcs") followed by  
> (nothing or "novoice") }
>
> <TEL format -  
> vCard.doc>_______________________________________________
> VCARDDAV mailing list
> [email-masked]

---

From: Mark Paterson <[email-masked]>
Date: Wed, 04 Jun 2008 11:50:05 -0400

> 3. For the TYPE property, have a flat list of types: VOICE, VIDEO, TEXT, FAX, 
Hi Dany,

Wow, that's quite the analysis. Thanks for the putting the effort into 
it. It does seem to successfully merge already existing concepts that 
are in Vcard with our current desires but in so doing it is rather 
complicated. I believe the flaw is in its attempt to incorporate 
concepts already in Vcard that perhaps never should have been there. As 
Simon has indicated information such as VOIP, PSTN isn't really 
something I need in my address book but the current VCard has values 
such as ISDN in it. I think we need to all agree that equipment type 
isn't really needed.

Similarily network type really isn't needed. We are interested in the 
fact that a telephone number is to a mobile device but we care about it 
in a usage manner. We care about the fact that the contact can use it 
while on the go. We don't really care that it's connected to a cellular 
network. As such I think we can drop this as well as long as we include 
mobile as a value for usage.

     * Usages                ==> USAGES

I agree with Simon therefore that type should only accept usage values 
(as long as mobile is considered a usage as well). Also we shoudl be 
clear on what defaults apply and when they don't.

You can have a home address, a home phone number, a home email; address. 
So the idea of being able to group them together in the vCard to specify 
this seems to make sense and that emove's it from being specified in 
type which just complicates things currently.

As for the Pref see my reply to other thread.

Mark

-- 

Oracle Email Signature Logo
Mark Paterson | Product Manager, UC & Mobile Services | 514.905.8649
Oracle Server Technologies - Collaboration
600 Blvd. de Maissoneuve West, Suite 1900, Montreal, Quebec, H3A 3J2
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav

---

From: "Javier Godoy" <[email-masked]>
Date: Wed, 4 Jun 2008 13:54:33 -0300

Mark Paterson wrote:

> Similarily network type really isn't needed. We are interested in the fact
> that a telephone number is to a mobile device but we care about it in a
> usage manner. We care about the fact that the contact can use it while on
> the go. We don't really care that it's connected to a cellular network. As
> such I think we can drop this as well as long as we include mobile as a
> value for usage.

+1.

>>   * Usages                ==> USAGES
> I agree with Simon therefore that type should only accept usage values (as
> long as mobile is considered a usage as well).

+1

> this seems to make sense and that emove's it from being specified in type
> which just complicates things currently.

How would be "home&work" represented using the group syntax? Would it be the 
default group, or would we define mixed groups such as HOME&WORK?
  HOME.TEL:tel::+1-555-555-5554
  WORK.TEL:tel::+1-555-555-5555
  TEL:tel::+1-555-555-5556

here 5556 is intended to be a "home&work" number. It could have been written 
as
  HOME&WORK.TEL:tel::+1-555-555-5556

Regards

Javier

---

From: Simon Perreault <[email-masked]>
Date: Wed, 4 Jun 2008 13:17:13 -0400

On Wednesday 04 June 2008 12:54:33 you wrote:
> How would be "home&work" represented using the group syntax? Would it be
> the default group, or would we define mixed groups such as HOME&WORK?
> here 5556 is intended to be a "home&work" number. It could have been
> written as

I think it should simply be:

  HOME.TEL:tel::+1-555-555-5554
  HOME.TEL:tel::+1-555-555-5556
  WORK.TEL:tel::+1-555-555-5555
  WORK.TEL:tel::+1-555-555-5556
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav